////////////////////////////////////////////////////////////////////////////////
//   ____  ____   
//  /   /\/   /  
// /___/  \  /   
// \   \   \/  
//  \   \        Copyright (c) 2003-2004 Xilinx, Inc.
//  /   /        All Right Reserved. 
// /---/   /\     
// \   \  /  \  
//  \___\/\___\
////////////////////////////////////////////////////////////////////////////////

#ifndef H_Work_lcd_controller_behavioral_H
#define H_Work_lcd_controller_behavioral_H
#ifdef __MINGW32__
#include "xsimMinGW.h"
#else
#include "xsim.h"
#endif


class Work_lcd_controller_behavioral: public HSim__s6 {
public:

    HSim__s1 SE[5];

  HSimEnumType Statetype;
    HSim__s1 SA[26];
  char *t0;
    Work_lcd_controller_behavioral(const char * name);
    ~Work_lcd_controller_behavioral();
    void constructObject();
    void constructPorts();
    void reset();
    void architectureInstantiate(HSimConfigDecl* cfg);
    virtual void vhdlArchImplement();
};



HSim__s6 *createWork_lcd_controller_behavioral(const char *name);

#endif
